<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for kpi in leaderboard package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  kpi module in leaderboard package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Kpi',
    'names'         => 'Kpis',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Kpis',
        'sub'   => 'Kpis',
        'list'  => 'List of kpis',
        'edit'  => 'Edit kpi',
        'create'    => 'Create new kpi'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'action_id'                  => 'Please enter action id',
        'action_type'                => 'Please enter action type',
        'date'                       => 'Please select date',
        'score'                      => 'Please enter score',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'action_id'                  => 'Action id',
        'action_type'                => 'Action type',
        'date'                       => 'Date',
        'score'                      => 'Score',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'action_id'                  => ['name' => 'Action id', 'data-column' => 1, 'checked'],
        'action_type'                => ['name' => 'Action type', 'data-column' => 2, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 3, 'checked'],
        'score'                      => ['name' => 'Score', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Kpis',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
