<?php

// API routes  for kpi
Route::prefix('{guard}/leaderboard')->group(function () {
    Route::get('kpi/form/{element}', 'KpiAPIController@form');
    Route::resource('kpi', 'KpiAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for leaderboards
            Route::prefix('{guard}/leaderboard')->group(function () {
                Route::get('kpi/form/{element}', 'KpiAPIController@form');
                Route::apiResource('kpi', 'KpiAPIController');
            });
            // Public routes for leaderboards
            Route::get('leaderboard/Kpi', 'KpiPublicController@getKpi');
        }
    );
}

