<?php

// web routes  for kpi
Route::prefix('{guard}/leaderboard')->group(function () {
    Route::resource('kpi', 'KpiResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'KpiResourceController');
            });
            // Public routes for pages
            Route::get('leaderboards/', 'KpiPublicController@index');
            Route::get('leaderboards/{slug?}', 'KpiPublicController@show');
        }
    );
}

