<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateKpisTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: kpis
         */
        Schema::create('kpis', function ($table) {
            $table->increments('id');
            $table->integer('action_id')->nullable();
            $table->string('action_type', 30)->nullable();
            $table->dateTime('date')->nullable();
            $table->integer('score')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('kpis');
    }
}
