<?php

namespace Bixo\Leaderboard;

use DB;
use Illuminate\Database\Seeder;

class KpiTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('kpis')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'leaderboard.kpi.view',
                'name'      => 'View Kpi',
            ],
            [
                'slug'      => 'leaderboard.kpi.create',
                'name'      => 'Create Kpi',
            ],
            [
                'slug'      => 'leaderboard.kpi.edit',
                'name'      => 'Update Kpi',
            ],
            [
                'slug'      => 'leaderboard.kpi.delete',
                'name'      => 'Delete Kpi',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/leaderboard/kpi',
                'name'        => 'Kpi',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/leaderboard/kpi',
                'name'        => 'Kpi',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'kpi',
                'name'        => 'Kpi',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Leaderboard',
                'module'    => 'Kpi',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'leaderboard.kpi.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
