<?php

namespace Bixo\Leaderboard\Repositories\Eloquent;

use Bixo\Leaderboard\Interfaces\KpiRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class KpiRepository extends BaseRepository implements KpiRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.leaderboard.kpi.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.leaderboard.kpi.model.model');
    }
}
